# This file created by conda-build 24.5.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_2415_dj4de/clone/recipe, last modified Sat Jun 22 01:04:20 2024
# ------------------------------------------------

package:
  name: snowflake-ml-python
  version: 1.5.3
source:
  sha256: 65e70b14589f7bb720b1522b628bd129140ef592c460be3c64d9898b210eae05
  url: https://github.com/snowflakedb/snowflake-ml-python/archive/refs/tags/1.5.3.tar.gz
build:
  number: '0'
  string: py311h46256e1_0
requirements:
  build:
    - bazel 6.2.0 h5c6ac89_0
    - bzip2 1.0.8 h6c40b1e_6
    - c-ares 1.19.1 h6c40b1e_0
    - ca-certificates 2024.3.11 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - curl 8.7.1 h04015c4_0
    - expat 2.6.2 hcec6c5f_0
    - gdbm 1.18 hdccc71a_4
    - gettext 0.21.0 he85b6c0_1
    - git 2.40.1 pl5340h6ecf5f8_3
    - icu 73.1 hcec6c5f_0
    - krb5 1.20.1 h428f121_1
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcurl 8.7.1 hf20ceda_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20230828 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.4 hecd8cb5_1
    - libiconv 1.16 h6c40b1e_3
    - libllvm14 14.0.6 h91fad77_3
    - libnghttp2 1.57.0 h9beae6a_0
    - libssh2 1.11.0 hf20ceda_0
    - libxml2 2.10.4 h45904e2_2
    - llvm-openmp 14.0.6 h0dcd299_0
    - llvm-tools 14.0.6 he0576d7_3
    - ncurses 6.4 hcec6c5f_0
    - openjdk 11.0.13 h8346a28_0
    - openssl 3.0.14 h46256e1_0
    - pcre2 10.42 h9b97e30_1
    - perl 5.34.0 h435f0c2_2
    - readline 8.2 hca72f7f_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.14 h4d00af3_0
    - xz 5.4.6 h6c40b1e_1
    - zlib 1.2.13 h4b97444_1
  host:
    - bzip2 1.0.8 h6c40b1e_6
    - ca-certificates 2024.3.11 hecd8cb5_0
    - libffi 3.4.4 hecd8cb5_1
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.14 h46256e1_0
    - pip 24.0 py311hecd8cb5_0
    - python 3.11.9 hf27a42d_0
    - readline 8.2 hca72f7f_0
    - setuptools 69.5.1 py311hecd8cb5_0
    - sqlite 3.45.3 h6c40b1e_0
    - tk 8.6.14 h4d00af3_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py311hecd8cb5_0
    - xz 5.4.6 h6c40b1e_1
    - zlib 1.2.13 h4b97444_1
  run:
    - absl-py >=0.15,<2
    - aiohttp !=4.0.0a0,!=4.0.0a1
    - anyio >=3.5.0,<4
    - cachetools >=3.1.1,<6
    - cloudpickle >=2.0.0
    - fsspec >=2022.11,<2024
    - importlib_resources >=6.1.1,<7
    - numpy >=1.23,<2
    - packaging >=20.9,<24
    - pandas >=1.0.0,<3
    - pyarrow
    - python >=3.11,<3.12.0a0
    - pytimeparse >=1.1.8,<2
    - pyyaml >=6.0,<7
    - requests
    - retrying >=1.3.3,<2
    - s3fs >=2022.11,<2024
    - scikit-learn >=1.2.1,<1.4
    - scipy >=1.9,<2
    - snowflake-connector-python >=3.5.0,<4
    - snowflake-snowpark-python >=1.15.0,<2
    - sqlparse >=0.4,<1
    - typing-extensions >=4.1.0,<5
    - xgboost >=1.7.3,<2
  run_constrained:
    - catboost >=1.2.0,<2
    - lightgbm >=3.3.5,<5
    - mlflow >=2.1.0,<2.4
    - peft >=0.5.0,<1
    - pytorch >=2.0.1,<3
    - sentence-transformers >=2.2.2,<3
    - sentencepiece >=0.1.95,<1
    - shap ==0.42.1
    - tensorflow >=2.10,<3
    - tokenizers >=0.10,<1
    - torchdata >=0.4,<1
    - transformers >=4.32.1,<5
test:
  commands:
    - pip check
  imports:
    - snowflake.ml
    - snowflake.ml.fileset
    - snowflake.ml.model
    - snowflake.ml.modeling
    - snowflake.ml.registry
    - snowflake.ml.utils
  requires:
    - pip
about:
  description: 'The machine learning client library that is used for interacting with
    Snowflake

    to build machine learning solutions. Functionalities include model uploading,

    training, feature engineering, etc.

    '
  dev_url: https://github.com/snowflakedb/snowflake-ml-python
  doc_url: https://docs.snowflake.com/developer-guide/snowpark-ml/index
  home: https://github.com/snowflakedb/snowflake-ml-python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Snowflake machine learning library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 244c82d6-e67a-4553-ac34-23ffe36df608
  recipe-maintainers:
    - sumit0190
  remote_url: git@github.com:AnacondaRecipes/snowflake-ml-python-feedstock.git
  sha: 033f923d266ee506cf1edc7addbbdccfaaf28336
